name: weblate-sync-pot
on:
  schedule:
    # Run this every morning
    - cron: '45 2 * * *'
  # can be run manually on https://github.com/cockpit-project/cockpit-podman/actions
  workflow_dispatch:

jobs:
  pot-upload:
    environment: cockpit-podman-weblate
    permissions:
      pull-requests: write
    runs-on: ubuntu-20.04
    steps:
      - name: Set up dependencies
        run: |
          sudo apt update
          sudo apt install -y --no-install-recommends npm make gettext

      - name: Clone source repository
        uses: actions/checkout@v2
        with:
          path: src

      - name: Generate .pot file
        run: make -C src po/podman.pot

      - name: Clone weblate repository
        uses: actions/checkout@v2
        with:
          path: weblate
          repository: ${{ github.repository }}-weblate
          ssh-key: ${{ secrets.DEPLOY_KEY }}

      - name: Commit .pot to weblate repo
        run: |
          cp src/po/podman.pot weblate/podman.pot
          git config --global user.name "GitHub Workflow"
          git config --global user.email "cockpituous@cockpit-project.org"
          git -C weblate commit -m "Update source file" -- podman.pot
          git -C weblate push
